Package ch.qos.logback.core.rolling

# Class RolloverFailure

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
ch.qos.logback.core.LogbackException
ch.qos.logback.core.rolling.RolloverFailure

All Implemented Interfaces:
  `Serializable`

public class RolloverFailure extends LogbackException
A RolloverFailure occurs if, for whatever reason a rollover fails.

Author:
  Ceki Gulcu
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RolloverFailure(String msg)`
`RolloverFailure(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RolloverFailure

public RolloverFailure(String msg)

### RolloverFailure

public RolloverFailure(String message, Throwable cause)